#!/bin/bash

REPO="$(cat repo.txt | tr -d '[:blank:]' | tr -d '[:space:]')"

find . -mindepth 1 -maxdepth 3 -type f -name "*.pkg.tar.xz" -exec cp -v {} $REPO \;
find . -mindepth 1 -maxdepth 3 -type f -name "*.pkg.tar.xz.sig" -exec cp -v {} $REPO \;

echo "Ready"
sleep 5

process=$(ps x | grep konsole | grep $0 | awk '{print $1}')
if [ $(( "$process" + 0 )) -ne 0 ]; then
    kill $(ps x | grep konsole | grep $0 | awk '{print $1}')
fi
